=== debian/changelog ===
mumax3 (3.10-7) unstable; urgency=medium

  * Reupload with binaries because contrib.

 -- Roland Mas <lolando@debian.org>  Tue, 20 Dec 2022 11:43:25 +0100

mumax3 (3.10-6) unstable; urgency=medium

  * Rebuild cuda2go wrappers from source during build to fix "does not use
    nvcc during build", thanks to Andreas Beckmann (Closes: #1021991).

 -- Roland Mas <lolando@debian.org>  Wed, 14 Dec 2022 17:28:43 +0100

mumax3 (3.10-5) unstable; urgency=medium

  * Use helper tools and packages to ensure working nvcc/gcc combination,
    thanks to Andreas Beckmann (this is *part* of #1021991 -- the rest of
    the bug report is a different matter).

 -- Roland Mas <lolando@debian.org>  Wed, 14 Dec 2022 09:59:34 +0100

mumax3 (3.10-4) unstable; urgency=medium

  * Reupload with binaries because contrib.

 -- Roland Mas <lolando@debian.org>  Mon, 14 Mar 2022 13:49:49 +0100

mumax3 (3.10-3) unstable; urgency=medium

  * Reupload with binaries because contrib.

 -- Roland Mas <lolando@debian.org>  Mon, 14 Mar 2022 13:22:42 +0100

mumax3 (3.10-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Feb 2022 19:39:46 +0100

mumax3 (3.10-1) unstable; urgency=medium

  * Initial release (Closes: #996958)
  * Disable testsuite (requires appropriate hardware).

 -- Roland Mas <lolando@debian.org>  Tue, 26 Oct 2021 21:22:32 +0200
