=== debian/control ===
Source: mumax3
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Section: contrib/science
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
	       nvidia-cuda-toolkit-gcc,
	       help2man
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/mumax3
Vcs-Git: https://salsa.debian.org/go-team/packages/mumax3.git
Homepage: https://github.com/mumax/3
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/mumax/3

Package: mumax3
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
	 libcudart11.0
Built-Using: ${misc:Built-Using}
Description: GPU-accelerated micromagnetic simulator
 mumax3 is a GPU-accelerated micromagnetic simulation program developed
 at the DyNaMat group of Prof. Van Waeyenberge at Ghent University.
 .
 A speed-up of the order of 100x compared to CPU-based simulations can
 easily be reached, even with relatively inexpensive gaming
 GPUs. Additionally, the software is optimized for low memory use and
 can handle about 16 million FD cells with 2GB of GPU RAM.
 .
 Features:
  - Landau-Lifshitz micromagnetic formalism
  - Magnetostatic field
  - Heisenberg exchange
  - Arbitrary inter-region exchange like RKKY coupling
  - Dzyaloshinskii-Moriya interaction
  - Spin-transfer torque (Zhang-Li and Slonczewski)
  - Uniaxial and cubic magnetocrystalline anisotropy
  - Thermal fluctuations (Brown)
  - Voronoi tessellation
  - Time- and space dependent material parameters
  - Arbitrary complex excitation (field, current)
  - Simulation window can automatically follow a moving domain wall
  - Edge charges can be removed to simulate an infinitely long geometry
  - Optional 1D, 2D or 3D periodic boundary conditions
