## mumax3 3.11.0

=== debian/changelog ===
mumax3 (3.11.0-2) experimental; urgency=medium

  * Rebuild with binaries.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Jul 2025 17:45:12 +0200

mumax3 (3.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Jul 2025 12:53:16 +0200

mumax3 (3.10-9) unstable; urgency=medium

  * Backport from upstream: additional permission to license to allow
    linking with CUDA.

 -- Roland Mas <lolando@debian.org>  Fri, 27 Sep 2024 19:39:19 +0200

mumax3 (3.10-8) unstable; urgency=medium

  * Bug fix: "hardcoded dependency on libcudart11.0", thanks to Andreas
    Beckmann (Closes: #1040318).

 -- Roland Mas <lolando@debian.org>  Sat, 29 Jul 2023 01:11:00 +0200
