## mumax3 3.11.1

=== Makefile ===
--- 
+++ 
@@ -13,9 +13,10 @@
 
 all: cudakernels hooks
 	go install -v $(GO_BUILDFLAGS) github.com/mumax/3/...
+	cd cmd/mumax3/ && $(MAKE)
 
 cudakernels:
-	cd cuda && $(MAKE)
+	cd cuda && $(MAKE) NVCC_CCBIN=$(NVCC_CCBIN)
 
 doc:
 	cd doc && $(MAKE)
