=== mag/Makefile ===
all: 
	go install -v
