=== cmd/mumax3-convert/Makefile ===
all:
	go install -v
