=== cmd/mumax3-httpfsd/Makefile ===
all:
	go install
