=== doc/tex/Makefile ===
mumax3.pdf: mumax3.tex 
	pdflatex -halt-on-error mumax3.tex
	pdflatex -halt-on-error mumax3.tex

.PHONY: clean
clean:
	rm -f *.aux *.bbl *.blg *.ind *.ilg *.log *.toc *.out mumax3.pdf *.idx
