=== debian/changelog ===
mumax3 (3.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 13 Aug 2025 00:02:17 +0200
