=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-	 libcudart11.0
 Built-Using: ${misc:Built-Using}
 Description: GPU-accelerated micromagnetic simulator
  mumax3 is a GPU-accelerated micromagnetic simulation program developed
