=== debian/rules ===
--- 
+++ 
@@ -16,14 +16,14 @@
 override_dh_auto_test:
 
 override_dh_auto_clean:
-	rm -rf cuda2go
+	rm -rf cuda2go cuda/cuda2go
 	dh_auto_clean --buildsystem=golang
 
 override_dh_auto_build:
 	make -C cuda realclean
 	DH_GOLANG_BUILDPKG="github.com/mumax/3/util" dh_auto_build $@ --builddirectory=_build --buildsystem=golang
 	mkdir -p cuda2go
-	tail -n +2 cuda/cuda2go.go > cuda2go/cuda2go.go
+	tail -n +3 cuda/cuda2go.go > cuda2go/cuda2go.go
 	cd cuda2go && GOPATH=$(CURDIR)/_build GOCACHE=$(CURDIR)/_build/go-build GOMODCACHE=$(CURDIR)/_build/pkg/mod GO111MODULE=off go build .
 	cp cuda2go/cuda2go cuda/
 	make -C cuda wrappers CUDA_CC="50 52 53 60 61 62 70" $(MAKE_ARGS)
